Class Specialization
Tristate Holder
Holder that can be empty, dependent, or owner.

Holder

Tristate Holder

Holder<TValue, Tristate>
Include Headers
seqan/basic.h
Parameters

TValue | Type of the managed object.

Remarks
A tristate holder A that holds an object B has one of the following states:
- owner: A is the owner of B. If A is destroyed, B will be destroyed automatically.
- dependent: A depends on B. B should not be destroyed as long as A is used.
- empty: there is currently no object reference stored in the holder A.
The state of the holder can be determined by empty and dependent.
Specialization of
Holder
Metafunctions

Reference | Reference type. (Holder)
Spec | The spec of a class. (Holder)
Value | Type of the items in the container. (Holder)

Member Functions

Holder | Constructor (Holder)
~Holder | Destructor (Holder)

Functions

assign | Assigns one object to another object. (Holder)
assign | Assigns one object to another object. (Holder)
assign | Assigns one object to another object. (Holder)
assign | Assigns one object to another object. (Holder)
assignValue | Assigns value to item. (Holder)
assignValue | Assigns value to item. (Holder)
clear | Resets an object. (Holder)
clear | Resets an object. (Holder)
create | Makes an object to owner of its content. (Holder)
dependent | Test whether object depends on other objects. (Holder)
dependent | Test whether object depends on other objects. (Holder)
detach | Makes an object independent from other objects. (Holder)
empty | Test a container for being empty. (Holder)
empty | Test a container for being empty. (Holder)
moveValue | Assigns value to item. (Holder)
moveValue | Assigns value to item. (Holder)
setValue | Makes holder dependent. (Holder)
value | Reference to the value. (Holder)
value | Reference to the value. (Holder)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52